Page MenuHomePhabricator

[AsmPrinter] Make EmitLinkage and EmitVisibility public
ClosedPublic

Authored by nhaehnle on May 7 2019, 1:20 PM.

Details

Summary

This allows target to implement custom emit of global variables if
required. See subsequent patch for a use case.

Change-Id: I9654197e3df24503104a54c41fff06845aed37fe

Diff Detail

Repository
rL LLVM

Event Timeline

nhaehnle created this revision.May 7 2019, 1:20 PM
Herald added a project: Restricted Project. · View Herald TranscriptMay 7 2019, 1:20 PM
Herald added a subscriber: wdng. · View Herald Transcript
arsenm accepted this revision.May 27 2019, 5:40 PM

LGTM

This revision is now accepted and ready to land.May 27 2019, 5:40 PM
This revision was automatically updated to reflect the committed changes.
chill added a subscriber: chill.Jun 17 2019, 2:42 AM
chill added inline comments.
llvm/trunk/include/llvm/CodeGen/AsmPrinter.h
628

A docstring?

nhaehnle marked 2 inline comments as done.Jun 17 2019, 5:20 AM
nhaehnle added inline comments.
llvm/trunk/include/llvm/CodeGen/AsmPrinter.h
628

r363550